## nfs-utils-0.3.3.tar.gz

=== support/include/Makefile ===
#
# Makefile for linux-nfs/support
#

include $(TOP)rules.mk

all install::	mount.h
	@:

distclean::
	$(RM) mount.h config.h

mount.h:
	$(LN_S) ../export/mount.h .

# .EXPORT_ALL_VARIABLES:
