=== utils/exportfs/Makefile ===
#
# dummy Makefile
#

PROGRAM	= exportfs
OBJS	= exportfs.o
LIBDEPS	= $(TOP)support/lib/libexport.a $(TOP)/support/lib/libnfs.a
LIBS	= -lexport -lnfs
MAN8	= exportfs
MAN5	= exports

include $(TOP)rules.mk
