=== debian/changelog ===
nfs-utils (1:0.3.2-2) unstable; urgency=low

  * Rebuild with new libc.  (closes: #97252, #97455, #99829, #100317)
  * Fix typo in nfs-kernel-server init script.  (closes: #100380)
  * Start all daemons in root directory.
  
 -- Chip Salzenberg <chip@debian.org>  Fri, 15 Jun 2001 15:57:18 -0700

nfs-utils (1:0.3.2-1) unstable; urgency=low

  * Upstream changes to statd:
    > Recognize long options.
    > On startup, close std{in,out,err}.
    > Updated man page.
  * Let debhelper handle doc symlinks.  (closes: #74094)
  * Rename upstream changelog, per policy.
  * Get rid of suidregister call.

 -- Chip Salzenberg <chip@debian.org>  Sun,  1 Apr 2001 19:21:26 -0700

nfs-utils (1:0.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Incorporate (but not all) Bug Party changes by David LaBissoniere
    <labiss@usit.net>:
    > Mention upstream source and license in copyright file.  (closes: #79997)
    > Add Build-Depends for debhelper and libwrap0-dev.  (closes: #84131)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Feb 2001 16:51:15 -0800

nfs-utils (1:0.3-2) unstable; urgency=low

  * Upstream:
    > Don't modify socket buffer sizes.

 -- Chip Salzenberg <chip@debian.org>  Mon, 12 Feb 2001 20:46:22 -0800

nfs-utils (1:0.3-1) unstable; urgency=low

  * New upstream.

 -- Chip Salzenberg <chip@debian.org>  Sun, 28 Jan 2001 18:13:59 -0800

nfs-utils (1:0.2.1-5) unstable; urgency=low

  * Fix statd callback protection ("--secure-statd") to
     1. work with current kernels as far as possible, and
     2. allow for Trond's recent NFS patches, which change the
        static callback RPC procedure.
  * Store return values of getc and getopt in int variables:
    they can return EOF, which requires an int. (From NMU)
  
 -- Chip Salzenberg <chip@debian.org>  Sat, 20 Jan 2001 20:03:07 -0800

nfs-utils (1:0.2.1-4) unstable; urgency=medium

  * Warn about common errors in /etc/exports.  (closes: #66421)
  * Fix line numbers in messages about /etc/exports.  (closes: #59734)
  * Let nhfsstone replace files from old server packages.  (closes: #59261)

 -- Chip Salzenberg <chip@valinux.com>  Sun,  3 Dec 2000 14:41:13 -0800

nfs-utils (1:0.2.1-3) unstable; urgency=low

  * Add portmap dependency. (closes: #75639)
  * Upstream:
    > mountd: New option "-n/--no-tcp".

 -- Chip Salzenberg <chip@valinux.com>  Sun, 19 Nov 2000 09:22:19 -0800

nfs-utils (1:0.2.1-2) unstable; urgency=high

  * On shutdown, kill user-mode lockd, not kernel-mode lockd thread.
  * Big upstream fix:
     > statd: Repair memory leaks and corruptions.
  * Other upstream patches:
     > exportfs: Support CIDR netmasks (e.g. "1.2.3.4/24").
     > statd: Fix callbacks to local lockd; Be paranoid about IP addresses
       when doing callbacks to local lockd; Add debugging features; Make
       logs more readable.

 -- Chip Salzenberg <chip@valinux.com>  Thu,  2 Nov 2000 18:10:36 -0800

nfs-utils (1:0.2.1-1) unstable; urgency=low

  * New upstream w/minor fixes.

 -- Chip Salzenberg <chip@valinux.com>  Mon,  2 Oct 2000 17:32:00 -0700

nfs-utils (1:0.2-1) unstable; urgency=low

  * New upstream version number.
  * Minor fixes.

 -- Chip Salzenberg <chip@valinux.com>  Tue,  5 Sep 2000 11:30:00 -0700

nfs-utils (1:0.1.9.1-2) unstable; urgency=medium

  * Upstream addition of tcpwrapper support in statd and mountd.
  * Upstream fixes from H.J. Lu and Neil Brown.
  * Run exportfs first during startup (again).

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Aug 2000 17:30:00 -0700

nfs-utils (1:0.1.9.1-1) frozen unstable; urgency=high

  * New upstream version, fixes more logging errors.
  * Fix Debian distribution list.

 -- Chip Salzenberg <chip@valinux.com>  Wed,  5 Jul 2000 15:00:00 -0800

nfs-utils (1:0.1.8.2-2) unstable; urgency=high

  * Fix serious logging error in statd.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 23:00:00 -0800

nfs-utils (1:0.1.8.2-1) unstable; urgency=low

  * New upstream version.
  * During startup, start daemons before running exportfs.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 15:00:00 -0800

nfs-utils (1:0.1.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Chdir to / before spawning daemons. (closes: #60837, #64857)
  * Follow policy for init messages. (closes: #59184, #65519)

 -- Chip Salzenberg <chip@valinux.com>  Mon, 12 Jun 2000 22:30:00 -0800

nfs-utils (1:0.1.8-1) unstable; urgency=low

  * New upstream version.

 -- Chip Salzenberg <chip@valinux.com>  Sun,  4 Jun 2000 13:30:00 -0800

nfs-utils (1:0.1.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Use fewer sockets in mountd by sharing RPC transports,
    even when it is run without '-p'.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 29 Apr 2000 20:45:00 -0800

nfs-utils (1:0.1.6-3) frozen unstable; urgency=medium

  * Fix kernel server shutdown order: mountd, nfsd, exportfs.
  * Upstream:  Fix 'mountd -p'.  Use fewer UDP sockets
    by sharing RPC transports.  Display more mount flags.

 -- Chip Salzenberg <chip@valinux.com>  Mon, 13 Mar 2000 14:45:00 -0800

nfs-utils (1:0.1.6-2) frozen unstable; urgency=medium

  * Split off nhfsstone into its own package, since it has
    helper scripts and most people won't use it.
  * Also include nhfsstone's helpers: nhfs{run,nums,graph}.
  * Install man page for nhfsstone. (closes: #55194)
  * Always run lockd on non-module kernels. (closes: #57841)
  * Make init scripts config files. (closes: #55193)
  * Handle "force-reload" in nfs-common's init script. (ditto)
  * Fix line numbers in error messages. (closes: #57717)
  * Write man page for rpc.lockd. (closes: #55192)
  * Fix typo in exports(5) man page. (closes: #46933)
  * Add /usr/doc -> /usr/share doc links. (closes: #54983)
  * Add copyright file. (closes: #55195)
  * Refresh sources from upstream.
  * Refine dependencies.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Feb 2000 02:00:00 -0800

nfs-utils (1:0.1.6-1) unstable; urgency=high

  * New upstream version.

