=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# You can use gcc 2.7.2 if it's installed,
#   but I don't think that's necessary any more.
#SETGCC	:= CC=$(notdir $(shell which gcc272 gcc 2>/dev/null | sed '1q'))

# Temporary root
DEBTMP	:= $(shell pwd)/debian/tmp

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(SETGCC) ./configure \
		--mandir='$${prefix}/share/man' \
		--enable-secure-statd
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the files into debian/tmp
	$(MAKE) install_prefix='$(DEBTMP)' install
	dh_movefiles
	# Fixups Start Here #
	cd debian && \
	  for f in lockd statd showmount; do \
	    mv tmp/usr/sbin/*$$f nfs-common/sbin; \
	    perl -pi -e "s#/usr(/sbin/(rpc\\.)?$$f)#\$$1#g" \
		nfs-common/usr/share/man/man8/$$f.8; \
	  done; \
	  rm -f tmp/usr/sbin/*quota*; \
	  rm -f tmp/usr/share/man/man8/*quota*; \
	  rm -rf tmp/var/lib/nfs/*
	# Fixups End Here #
	dh_installdocs -A README
	dh_installexamples
#	dh_installmenu
	dh_installinit -n
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
